body:before {
	content:"";
	background: url("/wp-content/uploads/2026/08/shape-btn-left2.png"), url("/wp-content/uploads/2026/08/shape-btn-right2.png"),url("/wp-content/uploads/2026/08/shape-btn-left-hover-v2.png");
}

.wp-block-button.is-style-white-red .wp-block-button__link {
	background-color: var(--wp--preset--color--first);
	border-color: var(--wp--preset--color--first);
	color: var(--wp--preset--color--fourth);
}

.wp-block-button.is-style-white-red .wp-block-button__link:hover,
.wp-block-button.is-style-white-red .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--fourth);
	border-color: var(--wp--preset--color--fourth);
	color: var(--wp--preset--color--first);
}

.wp-block-button.is-style-white-blue .wp-block-button__link {
	background-color: var(--wp--preset--color--first);
	border-color: var(--wp--preset--color--first);
	color: var(--wp--preset--color--fourth);
}

.wp-block-button.is-style-white-blue .wp-block-button__link:hover,
.wp-block-button.is-style-white-blue .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--third);
	border-color: var(--wp--preset--color--third);
	color: var(--wp--preset--color--first);
}

.wp-block-button.is-style-blue-red .wp-block-button__link {
	background-color: var(--wp--preset--color--third);
	border-color: var(--wp--preset--color--third);
	color: var(--wp--preset--color--first);
}

.wp-block-button.is-style-blue-red .wp-block-button__link:hover,
.wp-block-button.is-style-blue-red .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--fourth);
	border-color: var(--wp--preset--color--fourth);
	color: var(--wp--preset--color--first);
}

.wp-block-button.is-style-red-blue .wp-block-button__link {
	background-color: var(--wp--preset--color--fourth);
	border-color: var(--wp--preset--color--fourth);
	color: var(--wp--preset--color--first);
	position:relative;
	border-radius: 2px;
	padding-left: 0px;
	padding-right: 0px;
	z-index: 99;
	transition: none;
}

.wp-block-button.is-style-red-blue .wp-block-button__link:before {
	content:"";
	display: block;
	width:51px;
	position:absolute;
	left:-45px;
	top:-1px;
	bottom:-1px;
	border-radius: 0 8px 4px 0;
	background:url("/wp-content/uploads/2026/08/shape-btn-left-v3-1.png");
	background-size: 100% 100%;
/* 	transition: all 0.3s ease-in-out; */
	z-index: -1;
}

.wp-block-button.is-style-red-blue .wp-block-button__link:after {
	content:"";
	display: block;
	width:51px;
	position:absolute;
	right:-45px;
	top:-1px;
	bottom:-1px;
	background:url("/wp-content/uploads/2026/08/shape-btn-right-v3.png");
	background-size:  100% 100%;
    background-position: right;
/* 	transition: all 0.3s ease-in-out; */
	z-index: -1;
}

.wp-block-button.is-style-red-blue .wp-block-button__link:hover,
.wp-block-button.is-style-red-blue .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--eight);
	border-color: var(--wp--preset--color--eight);
	color: var(--wp--preset--color--first);
}

.wp-block-button.is-style-red-blue .wp-block-button__link:hover:before,
.wp-block-button.is-style-red-blue .wp-block-button__link:focus:before{
	background-image:url("/wp-content/uploads/2026/08/shape-btn-left-hover-v2.png");
}

.wp-block-button.is-style-red-blue .wp-block-button__link:hover:after,
.wp-block-button.is-style-red-blue .wp-block-button__link:focus:after{
	background-image:url("/wp-content/uploads/2026/08/shape-btn-right2.png");
}

.wp-block-button.is-style-heart-icon .wp-block-button__link {
    background-color: transparent;
    border-color: transparent;
    color: var(--wp--preset--color--first);
    display: flex;
    gap: 10px;
    justify-content: center;
/*     background-image: url(/wp-content/uploads/2026/08/donate-btn.png) !important;
    background-size: cover; */
    border: 0px;
    padding-left: 27px;
    padding-right: 27px;
	background-color: #DB0007;
	clip-path: url(#organic-scoop);
}

.wp-block-button.is-style-heart-icon .wp-block-button__link:before {
	content: "";
	display: block;
	width: 25px;
	height: 21px;
	background-image: url(../images/donate-heart.svg);
}

.wp-block-button.is-style-heart-icon .wp-block-button__link:hover,
.wp-block-button.is-style-heart-icon .wp-block-button__link:focus {
/* 	background-color: var(--wp--preset--color--eight);
	border-color: var(--wp--preset--color--eight); 
	background-image: url("/wp-content/uploads/2026/08/donate-btn_hover.png") !important;*/
	color: var(--wp--preset--color--first);
/* 	background-color: transparent !important; */
	background-color: #9E0081 !important;
}


.wp-block-button.is-style-text-link .wp-block-button__link {
	background: url(../images/icon-link.svg) no-repeat right 7px;
	border: none;
	border-radius: 0;
	color: var(--wp--preset--color--blue);
	font-size: var(--wp--preset--font-size--paragraph-1);
	font-family: var(--wp--preset--font-family--two);
	font-size: 20px;
	font-weight: 400;
	padding: 5px 35px 1px 0;
	min-width: auto;
}

.wp-block-button.is-style-text-link .wp-block-button__link:hover {
	text-decoration: underline;
}

.wp-block-button.is-style-text-link-plus .wp-block-button__link {
	border: none;
	border-radius: 0;
	color: var(--wp--preset--color--blue);
	font-size: var(--wp--preset--font-size--paragraph-1);
	background-color: transparent;
	font-weight: 800;
	padding: 0px 0px 1px 0;
	min-width: auto;
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	text-decoration: none;
	text-transform: uppercase;
	letter-spacing: 1.8px;
	gap: 10px;
}

.wp-block-button.is-style-text-link-plus .wp-block-button__link:before {
	content: "";
	display: block;
	background-image: url(../images/plus-icon.png);
	background-repeat: no-repeat;
	background-position: center top;
	width: 45px;
	height: 45px;
	border-radius: 50px;
}

.wp-block-button.is-style-text-link-plus .wp-block-button__link:hover {
	background-color: transparent;
}

.wp-block-button.is-style-text-link-plus .wp-block-button__link:hover::before {
	background-size: 30px;
	background-position: center center;
	background-color: var(--wp--preset--color--fifth);
}
